ccm: XCcm Struct Reference

| ccm Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCcm Struct Reference
Ccm_v6_1

The XCcm driver instance data structure. More...

## Data Fields
XCcm_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Device and the driver instance are initialized. More...
u16 | HSize
| Active Video Horizontal Size. More...
u16 | VSize
| Active Video Vertical Size. More...
XCcm_CallBack | ProcStartCallBack
| Call back for Processing Start interrupt. More...
void * | ProcStartRef
| To be passed to the Process Start interrupt callback. More...
XCcm_CallBack | FrameDoneCallBack
| Call back for Frame Done interrupt. More...
void * | FrameDoneRef
| To be passed to the Frame Done interrupt callback. More...
XCcm_ErrorCallBack | ErrCallBack
| Call back for Error interrupt. More...
void * | ErrRef
| To be passed to the Error interrupt callback. More...

## Detailed Description

The XCcm driver instance data structure.

A pointer to an instance data structure is passed around by functions to refer to a specific driver instance.

## Field Documentation

XCcm_Config XCcm::Config

Hardware configuration.

Referenced by XCcm_CfgInitialize(), XCcm_DisableDbgByPass(), XCcm_DisableDbgTestPattern(), XCcm_EnableDbgByPass(), XCcm_EnableDbgTestPattern(), XCcm_GetActiveSize(), XCcm_GetClamp(), XCcm_GetClip(), XCcm_GetCoefMatrix(), XCcm_GetDbgFrameCount(), XCcm_GetDbgLineCount(), XCcm_GetDbgPixelCount(), XCcm_GetRgbOffset(), XCcm_GetVersion(), XCcm_IntrHandler(), XCcm_IsDbgByPassEnabled(), XCcm_IsDbgTestPatternEnabled(), XCcm_SelfTest(), XCcm_SetActiveSize(), XCcm_SetClamp(), XCcm_SetClip(), XCcm_SetCoefMatrix(), XCcm_SetRgbOffset(), and XCcm_Setup().

XCcm_ErrorCallBack XCcm::ErrCallBack

Call back for Error interrupt.

Referenced by XCcm_CfgInitialize(), XCcm_IntrHandler(), and XCcm_SetCallBack().

void* XCcm::ErrRef

To be passed to the Error interrupt callback.

Referenced by XCcm_IntrHandler(), and XCcm_SetCallBack().

XCcm_CallBack XCcm::FrameDoneCallBack

Call back for Frame Done interrupt.

Referenced by XCcm_CfgInitialize(), XCcm_IntrHandler(), and XCcm_SetCallBack().

void* XCcm::FrameDoneRef

To be passed to the Frame Done interrupt callback.

Referenced by XCcm_IntrHandler(), and XCcm_SetCallBack().

u16 XCcm::HSize

Active Video Horizontal Size.

Referenced by XCcm_Setup().

u32 XCcm::IsReady

Device and the driver instance are initialized.

Referenced by XCcm_CfgInitialize(), XCcm_IntrHandler(), and XCcm_SetCallBack().

XCcm_CallBack XCcm::ProcStartCallBack

Call back for Processing Start interrupt.

Referenced by XCcm_CfgInitialize(), XCcm_IntrHandler(), and XCcm_SetCallBack().

void* XCcm::ProcStartRef

To be passed to the Process Start interrupt callback.

Referenced by XCcm_IntrHandler(), and XCcm_SetCallBack().

u16 XCcm::VSize

Active Video Vertical Size.

Referenced by XCcm_Setup().